import 'package:equatable/equatable.dart';

abstract class ClientCreateOrderEvent extends Equatable {
  const ClientCreateOrderEvent();

  @override
  List<Object?> get props => <Object?>[];
}

class ClientCreateOrderTypesRequested extends ClientCreateOrderEvent {
  const ClientCreateOrderTypesRequested();
}

class ClientCreateOrderTypeSelected extends ClientCreateOrderEvent {
  const ClientCreateOrderTypeSelected(this.typeId);
  final String typeId;

  @override
  List<Object?> get props => <Object?>[typeId];
}
